get file = 'c:/mics/spss/hh.sav'.

select if (HH9 = 1).

weight by hhweight.

compute total  = 1.
variable label total "Number of households".
value label total 1 "".

select if (not(sysmis(WS4))).

recode WS4 (9=8) into WS4.
variable label WS4 "Person collecting drinking water".
add value labels WS4 8 'DK/Missing'.

tables
  /format = zero
  /ftotal = tot1 "Total" 
  /table = HH7 + HH6 + helevel1 + wlthind5 + methnic + tot1 by WS4 + tot1 + total 
  /statistics
    cpct(WS4 (f5.1) '':HH7 HH6 helevel1 wlthind5 methnic)
  /title
    "Table EN.4: Person collecting water"
		"Percent distribution of households according to the person collecting "+
		"water used in the household, Republic of Macedonia, 2005".

new file.
